Subject: Re: bug#13577: 24.3.50; Underscore in LaTeX comments can mess up ispell
From: Agustin Martin <[email-masked]>
To: [email-masked]
Cc: Ivan Andrus <[email-masked]>, Chong Yidong <[email-masked]>
Date: Tue, 14 Jan 2014 12:00:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Dec 21, 2013 at 11:42:24PM -0700, Ivan Andrus wrote:
> On Dec 20, 2013, at 10:16 PM, Chong Yidong <[email-masked]> wrote:
> 
> > Ivan Andrus <[email-masked]> writes:
> > 
> >> Starting from emacs -Q add the following to a buffer and put it in
> >> latex-mode (I checked both AUCTeX and the builtin latex-mode):
> >> 
> >> % Again, we ignore the actual values of $\zeta_{i}$.
> >> It is clear that $Z(G)=\angles{c_{i}}\cong \mathbb{Z}_{p}^{2}$ and
> >> $G'=\angles{b_{i},c_{i}}$.
> >> Missssspeelllllled.
> >> 
> >> Run ispell-buffer.  I have to do the following to get ispell to work on
> >> my system:
> >> 
> >> (setq-default ispell-program-name "hunspell")
> >> (setq ispell-dictionary "american")
> >> 
> >> You will notice that it tries to correct G', when it should not (since
> >> it's in math mode).  It also ignores Missssspeelllllled.
> > 
> > I can't reproduce this.  For me, ispell-buffer tries only to correct
> > Missssspeelllllled.
> 
> Hmm...  I still see the same behavior on trunk from about 3 days ago:
> 
> Bzr revision: 115610 [email-masked]

Hi, 

I debugged this problem to start with my commit

http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/110817

The reason is that `add-comment' is wrongly reset for new line instead of
`in-comment' (`add-comment' is automatically reset after `in-comment' for
each line).

Fix comitted to trunk as r116025. This must also go into emacs24.x branch.
Which is the best way to make this happen?

Regards,

-- 
Agustin